#ifndef _MRECIIENT_FILTER_H
#define _MRECIPIENT_FILTER_H
#include "irecipientfilter.h"
#include "bitvec.h"
#include "tier1/utlvector.h"

extern IVEngineServer   *engine;

class MRecipientFilter :
   public IRecipientFilter
{
public:
   MRecipientFilter(void);
   ~MRecipientFilter(void);

   virtual bool IsReliable( void ) const;
   virtual bool IsInitMessage( void ) const;
   void AddPlayer(int index);
   virtual int GetRecipientCount( void ) const;
   virtual int GetRecipientIndex( int slot ) const;
   void AddAllPlayers( void );
   void AddRecipient( int iPlayer );


private:
   bool m_bReliable;
   bool m_bInitMessage;
   CUtlVector< int > m_Recipients;
};
MRecipientFilter::MRecipientFilter(void)
{
}

MRecipientFilter::~MRecipientFilter(void)
{
}

int MRecipientFilter::GetRecipientCount() const
{
   return m_Recipients.Size();
}

int MRecipientFilter::GetRecipientIndex(int slot) const
{
   if ( slot < 0 || slot >= GetRecipientCount() )
      return -1;

   return m_Recipients[ slot ];
}

bool MRecipientFilter::IsInitMessage() const
{
   return false;
}

bool MRecipientFilter::IsReliable() const
{
   return false;
}

void MRecipientFilter::AddAllPlayers( void )
{
} 
void MRecipientFilter::AddRecipient( int iPlayer )
{
   // Already in list
   if ( m_Recipients.Find( iPlayer ) != m_Recipients.InvalidIndex() )
      return;
 
   m_Recipients.AddToTail( iPlayer );
}
void MRecipientFilter::AddPlayer(int index)
{
   edict_t *pPlayer = engine->PEntityOfEntIndex(index);
   if ( !pPlayer || pPlayer->IsFree()) {
	return; }
   m_Recipients.AddToTail(index);
} 

#endif
