#ifndef SIGSCAN_H
#define SIGSCAN_H

#ifndef Msg
#define Msg g_SMAPI->ConPrintf
#endif

inline bool FStrEq(const char *sz1, const char *sz2)
{
	return(stricmp(sz1, sz2) == 0);
}

#ifdef WIN32
	#define WIN32_LEAN_AND_MEAN
	#include <windows.h>
	#include <tlhelp32.h>
#endif

class SigScan
{
private:
	static unsigned char *base_addr;
	static size_t base_len;
	unsigned char *sig_str;
	char *sig_mask;
	unsigned long sig_len;
	static unsigned int parse_maps(char *maps, char *matchpath, long *base, long *len);
	void* FindSignature(void);
public:
	char sig_name[64];
	char is_set;
	void *sig_addr;
	void *linux_addr;
	SigScan(void): sig_str(NULL), sig_len(0), sig_addr(NULL) {}
	~SigScan(void);
	static bool GetDllMemInfo(void);
	void Init(char *name, unsigned char *sig, char *mask, size_t len);
};

class CBasePlayer;
class CBaseAnimating;
class CBaseEntity;
class Vector;
class QAngle;
class CBaseEntityList;
class CGlobalEntityList;
class CBaseCombatCharacter;
class CBaseCombatWeapon;
class CCSPlayer;

#endif
